## Repair Damaged PDFs

Repair. If Adobe Acrobat reports for a particular PDF "errors" that it must fix before displaying the first page, a simple pass through this tool fixes that. if corrupted, hopeless. Tries to read PDF data objects sequentially, rather than relying on usual file structure for random access, and collects all intact objects. xref table exact byte offsets

- transferred in ASCII
- uncompressed and edited

side-effect of other PDF tools does what Acrobat does, as far as I can tell e.g., Compress if fix and go, Uncompress if damage great and you know something about PDF to further fix.

### Options

> `java tool.pdf.Repair [options] PDF-filename`